Public Class GroundTruthSensor
    Inherits SingleStateSensor(Of GroundTruthData)

    Public Shared ReadOnly SENSORTYPE_GROUNDTRUTH As String = "GroundTruth"

    Public Sub New()
        MyBase.New(New GroundTruthData, SENSORTYPE_GROUNDTRUTH, Sensor.MATCH_ANYNAME)
    End Sub

    Protected Overrides Sub ProcessMessage(ByVal msgtype As MessageType, ByVal msg As System.Collections.Specialized.StringDictionary)
        MyBase.ProcessMessage(msgtype, msg)

        If msgtype = MessageType.Sensor Then
            Me.CurrentData.Load(msg)
            Me.Agent.NotifySensorUpdate(Me)
        End If

    End Sub
End Class
